#
# spec file for package python-ldap (Version 1.10alpha3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cyrus-sasl openldap2 openldap2-client openldap2-devel openssl openssl-devel python python-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps python python-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         python-ldap
Copyright:    free, (c) David Leonard
Group:        Development/Libraries/Python
Provides:     _ldapmodule.so
Requires:     python
Autoreqprov:  on
Version:      1.10alpha3
Release:      182
Summary:      Python LDAP interface
Source:       ftp://python-ldap.sourceforge.net/pub/python-ldap/python-ldap-%{version}-src.tar.gz
Patch:        python-ldap-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
python-ldap provides an LDAP client API for Python in the spirit
of RFC1823. It includes a Python module called _ldapmodule that
wraps an LDAP C library, an object-oriented API for X.500
directories.
See python-ldap pages on http://python-ldap.sourceforge.net/

Authors:
--------
    David Leonard <David.Leonard@csee.uq.edu.au>

SuSE series: d

%prep
%setup
%patch

%build
export OPT=$RPM_OPT_FLAGS
./configure
make

%install
export RPM_BUILD_ROOT
export py_site=`python -c 'import site; print site.sitedirs[0];'`
DESTDIR=$RPM_BUILD_ROOT make _ldapmodule-install _ldapmodule-filelist -e

%files -f filelist
%doc README TODO ChangeLog Doc Demo

%changelog -n python-ldap
* Tue Sep 04 2001 - rvasice@suse.cz
- fix Group tag to Development/Libraries/Python
* Thu Mar 15 2001 - kukuk@suse.de
- Remove openldap from Requires
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Nov 22 2000 - mt@suse.de
- renamed from pyldapm to python-ldap
- updated to python-ldap-1.10alpha3
- adopted spec file for python2.0
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild (added ldaplib)
* Sun Oct 29 2000 - kukuk@suse.de
- fix need for build
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 26 1999 - mt@suse.de
- new version 1.5
